Index: trunk/modelicaml/org.openmodelica.modelicaml.common/src/org/openmodelica/modelicaml/common/helpers/TestExecutionServices.java
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.common/src/org/openmodelica/modelicaml/common/helpers/TestExecutionServices.java	(revision 987)
+++ trunk/modelicaml/org.openmodelica.modelicaml.common/src/org/openmodelica/modelicaml/common/helpers/TestExecutionServices.java	(revision 1011)
@@ -328,7 +328,7 @@
 				js = js + "/* ~~~~~ Requirement qName: verdicts ~~~~~ */" + "\n" + 
 				"data['"+((Class)elt).getQualifiedName()+"']['"+treeObject.getDotPath()+"."+Constants.propertyName_evaluationStarted+"'] = new Array();" + "\n" + 
-				"data['"+((Class)elt).getQualifiedName()+"']['"+treeObject.getDotPath()+"."+Constants.propertyName_evaluationStarted+"']['atLeastOneTimeTrue'] = '###"+treeObject.getDotPath()+"."+Constants.propertyName_evaluationStarted+"[atLeastOneTimeTrue]###';" + "\n" + 
+				"data['"+((Class)elt).getQualifiedName()+"']['"+treeObject.getDotPath()+"."+Constants.propertyName_evaluationStarted+"']['atLeastOneTimeTrue'] = '###"+treeObject.getDotPath()+"."+Constants.propertyName_evaluationStarted+":atLeastOneTimeTrue###';" + "\n" + 
 				"data['"+((Class)elt).getQualifiedName()+"']['"+treeObject.getDotPath()+"."+Constants.propertyName_violated+"'] = new Array();" + "\n" + 
-				"data['"+((Class)elt).getQualifiedName()+"']['"+treeObject.getDotPath()+"."+Constants.propertyName_violated+"']['alwaysFalse'] = '###"+treeObject.getDotPath()+"."+Constants.propertyName_violated+"[alwaysFalse]###';" + "\n" +
+				"data['"+((Class)elt).getQualifiedName()+"']['"+treeObject.getDotPath()+"."+Constants.propertyName_violated+"']['alwaysFalse'] = '###"+treeObject.getDotPath()+"."+Constants.propertyName_violated+":alwaysFalse###';" + "\n" +
 				"" ;
 				
@@ -355,13 +355,13 @@
 		String js = "";
 		List<TreeObject> requiredClients = getRequiredClientsTreeItems(treeItem, new HashSet<TreeObject>());
-		js = js  + "\n" + "/* ~~~~~ " + getTreeItemTypeQName(treeItem) + ": required clients START~~~~~ */" + "\n";
+		js = js  + "\n" + "/* ~~~~~ " + getTreeItemTypeQName(treeItem) + ": madantory clients START~~~~~ */" + "\n";
 		
 		/* ~~~~~ Model qName: required clients ~~~~~ */
 		for (TreeObject treeObject : requiredClients) {
 			js = js  + "data['" + testModel.getQualifiedName() + "']['"+treeObject.getDotPath()+"'] = new Array();" + "\n" + 
-			"data['" + testModel.getQualifiedName() + "']['"+treeObject.getDotPath()+"']['changedItsValue'] = '###"+treeObject.getDotPath()+"[changedItsValue]###';" + "\n" + 
+			"data['" + testModel.getQualifiedName() + "']['"+treeObject.getDotPath()+"']['changedItsValue'] = '###"+treeObject.getDotPath()+":changedItsValue###';" + "\n" + 
 			"";
 		}
-		js = js  + "\n" + "/* ~~~~~ " + getTreeItemTypeQName(treeItem) + ": required clients END~~~~~ */" + "\n" + "\n";
+		js = js  + "\n" + "/* ~~~~~ " + getTreeItemTypeQName(treeItem) + ": madantory clients END~~~~~ */" + "\n" + "\n";
 		return js;
 	}
@@ -561,9 +561,9 @@
 		String html = "";
 		List<TreeObject> requiredClients = getRequiredClientsTreeItems(treeItem, new HashSet<TreeObject>());
-		html = html  + "\n" + "<!-- Required clients START  -->" + "\n";
+		html = html  + "\n" + "<!-- madantory clients START  -->" + "\n";
 		
 		for (TreeObject treeObject : requiredClients) {
 			html = html + 
-			"	<div style='border: position:relative; margin-left:5px;'><i>required client</i>: " + "\n" + 
+			"	<div style='border: position:relative; margin-left:5px;'><i>madantory client</i>: " + "\n" + 
 			"		<strong><script type='text/javascript'>writeLink('locate:"+testModel.getQualifiedName()+"#"+treeObject.getDotPath()+"', '"+treeObject.getDotPath()+"');</script></strong>" + "\n" + 
 			"		" + "\n" + 
@@ -603,5 +603,5 @@
 		}
 		
-		html = html + "<!-- Required clients  END -->" + "\n" + "\n";
+		html = html + "<!-- madantory clients  END -->" + "\n" + "\n";
 		return html;
 	}
Index: trunk/modelicaml/org.openmodelica.modelicaml.common/src/org/openmodelica/modelicaml/common/services/PapyrusServices.java
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.common/src/org/openmodelica/modelicaml/common/services/PapyrusServices.java	(revision 987)
+++ trunk/modelicaml/org.openmodelica.modelicaml.common/src/org/openmodelica/modelicaml/common/services/PapyrusServices.java	(revision 1011)
@@ -28,4 +28,9 @@
 			List<Object> items = new ArrayList<Object>();
 			items.add(modelExplorerPageBookView.findElementForEObject( modelExplorerView, (EObject)object));
+			
+			// reset the selection so that the components tree can instantiate the selected class again
+			modelExplorerView.setSelection(new StructuredSelection(), true);
+			
+			// set new selection
 			modelExplorerView.setSelection(new StructuredSelection(items), true);
       	}