Index: /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/BufferedDocumentScanner.java
===================================================================
--- /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/BufferedDocumentScanner.java	(revision 1128)
+++ /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/BufferedDocumentScanner.java	(revision 1129)
@@ -5,11 +5,8 @@
 package org.modelica.mdt.ui.text;
 
-
-import org.eclipse.jface.text.Assert;
+import org.eclipse.core.runtime.Assert;
 import org.eclipse.jface.text.BadLocationException;
 import org.eclipse.jface.text.IDocument;
 import org.eclipse.jface.text.rules.ICharacterScanner;
-
-
 
 /**
Index: /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/DocumentCharacterIterator.java
===================================================================
--- /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/DocumentCharacterIterator.java	(revision 1128)
+++ /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/DocumentCharacterIterator.java	(revision 1129)
@@ -6,8 +6,7 @@
 import java.text.CharacterIterator;
 
-import org.eclipse.jface.text.Assert;
+import org.eclipse.core.runtime.Assert;
 import org.eclipse.jface.text.BadLocationException;
 import org.eclipse.jface.text.IDocument;
-
 
 /**
Index: /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/ModelicaElementHyperlink.java
===================================================================
--- /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/ModelicaElementHyperlink.java	(revision 1128)
+++ /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/ModelicaElementHyperlink.java	(revision 1129)
@@ -25,10 +25,8 @@
 package org.modelica.mdt.ui.text;
 
+import org.eclipse.core.runtime.Assert;
 import org.eclipse.jface.action.IAction;
-
-import org.eclipse.jface.text.Assert;
 import org.eclipse.jface.text.IRegion;
 import org.eclipse.jface.text.hyperlink.IHyperlink;
-
 
 /**
Index: /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/ModelicaElementHyperlinkDetector.java
===================================================================
--- /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/ModelicaElementHyperlinkDetector.java	(revision 1128)
+++ /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/ModelicaElementHyperlinkDetector.java	(revision 1129)
@@ -24,7 +24,6 @@
 package org.modelica.mdt.ui.text;
 
+import org.eclipse.core.runtime.Assert;
 import org.eclipse.jface.action.IAction;
-
-import org.eclipse.jface.text.Assert;
 import org.eclipse.jface.text.IDocument;
 import org.eclipse.jface.text.IRegion;
@@ -32,8 +31,6 @@
 import org.eclipse.jface.text.hyperlink.IHyperlink;
 import org.eclipse.jface.text.hyperlink.IHyperlinkDetector;
-
 import org.eclipse.ui.texteditor.ITextEditor;
 import org.modelica.mdt.core.IModelicaElement;
-
 import org.modelica.mdt.ui.editor.EditorUtility;
 import org.modelica.mdt.ui.editor.ModelicaEditor;
Index: /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/ModelicaHeuristicScanner.java
===================================================================
--- /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/ModelicaHeuristicScanner.java	(revision 1128)
+++ /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/ModelicaHeuristicScanner.java	(revision 1129)
@@ -6,5 +6,5 @@
 import java.util.Arrays;
 
-import org.eclipse.jface.text.Assert;
+import org.eclipse.core.runtime.Assert;
 import org.eclipse.jface.text.BadLocationException;
 import org.eclipse.jface.text.IDocument;
@@ -12,6 +12,4 @@
 import org.eclipse.jface.text.TextUtilities;
 import org.eclipse.jface.text.TypedRegion;
-
-
 
 /**
Index: /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/ModelicaIndenter.java
===================================================================
--- /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/ModelicaIndenter.java	(revision 1128)
+++ /trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/text/ModelicaIndenter.java	(revision 1129)
@@ -4,9 +4,10 @@
 package org.modelica.mdt.ui.text;
 
-import org.eclipse.jface.text.Assert;
+import java.util.Stack;
+
+import org.eclipse.core.runtime.Assert;
 import org.eclipse.jface.text.BadLocationException;
 import org.eclipse.jface.text.IDocument;
 import org.eclipse.jface.text.IRegion;
-import java.util.Stack;
 
 /**