Index: trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ModelicaML.ctx
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ModelicaML.ctx	(revision 1348)
+++ trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ModelicaML.ctx	(revision 1361)
@@ -468,4 +468,10 @@
       <widget href="ui/SingleModelicaMLStateMachine.xwt#/"/>
     </sections>
+    <sections name="SingleUMLOpaqueBehavior" sectionFile="ui/SingleUMLOpaqueBehavior.xwt">
+      <widget href="ui/SingleUMLOpaqueBehavior.xwt#/"/>
+    </sections>
+    <sections name="SingleSimulationSectionForVerificationScenario" sectionFile="ui/SingleSimulationSectionForVerificationScenario.xwt">
+      <widget href="ui/SingleSimulationSectionForVerificationScenario.xwt#/"/>
+    </sections>
   </tabs>
   <views name="Single Simulation" sections="//@tabs.0/@sections.0" automaticContext="true" datacontexts="//@dataContexts.0/@elements.8/@elements.0">
@@ -961,4 +967,10 @@
       <constraintType href="ppe:/environment/org.eclipse.papyrus.properties.uml/Model/Environment.xmi#//@constraintTypes.0"/>
       <properties xsi:type="contexts:ValueProperty" name="umlClassName" value="OpaqueAction"/>
+    </constraints>
+  </views>
+  <views name="Single OpaqueBehavior" sections="//@tabs.0/@sections.155">
+    <constraints xsi:type="contexts:SimpleConstraint" name="isOpaqueBehavior">
+      <constraintType href="ppe:/environment/org.eclipse.papyrus.properties.uml/Model/Environment.xmi#//@constraintTypes.0"/>
+      <properties xsi:type="contexts:ValueProperty" name="umlClassName" value="OpaqueBehavior"/>
     </constraints>
   </views>
@@ -1251,5 +1263,5 @@
       <elements name="Simulation">
         <properties name="startTime"/>
-        <properties name="numberOfIntervals" type="Integer"/>
+        <properties name="numberOfIntervals"/>
         <properties name="tolerance"/>
         <properties name="stopTime"/>
Index: trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleActivityOpaqueAction.xwt
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleActivityOpaqueAction.xwt	(revision 1348)
+++ trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleActivityOpaqueAction.xwt	(revision 1361)
@@ -6,5 +6,4 @@
 		<ppel:PropertiesLayout></ppel:PropertiesLayout>
 	</Composite.layout>
-	<ppe:StringEditor property="UML:NamedElement:name"
-		input="{Binding}"></ppe:StringEditor>
+	<ppe:StringEditor input="{Binding}" property="UML:NamedElement:name"></ppe:StringEditor>
 </Composite>
Index: trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleAnnotation(SimulationExperiment).xwt
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleAnnotation(SimulationExperiment).xwt	(revision 1348)
+++ trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleAnnotation(SimulationExperiment).xwt	(revision 1361)
@@ -1,7 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<Composite xmlns:x="http://www.eclipse.org/xwt" xmlns:j="clr-namespace:java.lang"
-	xmlns:ppe="clr-namespace:org.eclipse.papyrus.properties.widgets"
-	xmlns:ppel="clr-namespace:org.eclipse.papyrus.properties.widgets.layout"
-	xmlns="http://www.eclipse.org/xwt/presentation">
+<Composite xmlns:ppe="clr-namespace:org.eclipse.papyrus.properties.widgets"
+	xmlns="http://www.eclipse.org/xwt/presentation" xmlns:j="clr-namespace:java.lang"
+	xmlns:x="http://www.eclipse.org/xwt" xmlns:ppel="clr-namespace:org.eclipse.papyrus.properties.widgets.layout">
 	<Composite.layout>
 		<ppel:PropertiesLayout></ppel:PropertiesLayout>
Index: trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleSimulation.xwt
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleSimulation.xwt	(revision 1348)
+++ trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleSimulation.xwt	(revision 1361)
@@ -1,7 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<Composite xmlns:x="http://www.eclipse.org/xwt" xmlns:j="clr-namespace:java.lang"
-	xmlns:ppe="clr-namespace:org.eclipse.papyrus.properties.widgets"
-	xmlns:ppel="clr-namespace:org.eclipse.papyrus.properties.widgets.layout"
-	xmlns="http://www.eclipse.org/xwt/presentation">
+<Composite xmlns:ppe="clr-namespace:org.eclipse.papyrus.properties.widgets"
+	xmlns:x="http://www.eclipse.org/xwt" xmlns:j="clr-namespace:java.lang"
+	xmlns="http://www.eclipse.org/xwt/presentation" xmlns:ppel="clr-namespace:org.eclipse.papyrus.properties.widgets.layout">
 	<Composite.layout>
 		<ppel:PropertiesLayout></ppel:PropertiesLayout>
@@ -14,14 +13,9 @@
 			property="ModelicaML:ModelicaSimulationConstructs:Simulation:startTime"></ppe:StringEditor>
 		<ppe:StringEditor input="{Binding}"
+			property="ModelicaML:ModelicaSimulationConstructs:Simulation:stopTime"></ppe:StringEditor>
+		<ppe:StringEditor input="{Binding}"
 			property="ModelicaML:ModelicaSimulationConstructs:Simulation:tolerance"></ppe:StringEditor>
 		<ppe:StringEditor input="{Binding}"
-			property="ModelicaML:ModelicaSimulationConstructs:Simulation:stopTime"></ppe:StringEditor>
-	</Composite>
-	<Composite>
-		<Composite.layout>
-			<ppel:PropertiesLayout numColumns="2"></ppel:PropertiesLayout>
-		</Composite.layout>
-		<ppe:IntegerEditor input="{Binding}"
-			property="ModelicaML:ModelicaSimulationConstructs:Simulation:numberOfIntervals"></ppe:IntegerEditor>
+			property="ModelicaML:ModelicaSimulationConstructs:Simulation:numberOfIntervals"></ppe:StringEditor>
 	</Composite>
 </Composite>
Index: trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleUMLOpaqueBehavior.xwt
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleUMLOpaqueBehavior.xwt	(revision 1361)
+++ trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleUMLOpaqueBehavior.xwt	(revision 1361)
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<Composite xmlns:ppel="clr-namespace:org.eclipse.papyrus.properties.widgets.layout"
+	xmlns="http://www.eclipse.org/xwt/presentation" xmlns:ppe="clr-namespace:org.eclipse.papyrus.properties.widgets"
+	xmlns:x="http://www.eclipse.org/xwt">
+	<Composite.layout>
+		<ppel:PropertiesLayout></ppel:PropertiesLayout>
+	</Composite.layout>
+	<ppe:StringEditor property="UML:NamedElement:name"
+		input="{Binding}"></ppe:StringEditor>
+</Composite>
Index: trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleValueMediator.xwt
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleValueMediator.xwt	(revision 1348)
+++ trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleValueMediator.xwt	(revision 1361)
@@ -1,7 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<Composite xmlns:x="http://www.eclipse.org/xwt" xmlns:j="clr-namespace:java.lang"
-	xmlns:ppe="clr-namespace:org.eclipse.papyrus.properties.widgets"
-	xmlns:ppel="clr-namespace:org.eclipse.papyrus.properties.widgets.layout"
-	xmlns="http://www.eclipse.org/xwt/presentation">
+<Composite xmlns:j="clr-namespace:java.lang" xmlns="http://www.eclipse.org/xwt/presentation"
+	xmlns:x="http://www.eclipse.org/xwt" xmlns:ppe="clr-namespace:org.eclipse.papyrus.properties.widgets"
+	xmlns:ppel="clr-namespace:org.eclipse.papyrus.properties.widgets.layout">
 	<Composite.layout>
 		<ppel:PropertiesLayout></ppel:PropertiesLayout>
Index: trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleValueMediatorsContainer.xwt
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleValueMediatorsContainer.xwt	(revision 1348)
+++ trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleValueMediatorsContainer.xwt	(revision 1361)
@@ -1,6 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<Composite xmlns:x="http://www.eclipse.org/xwt" xmlns:j="clr-namespace:java.lang"
+<Composite xmlns="http://www.eclipse.org/xwt/presentation"
+	xmlns:x="http://www.eclipse.org/xwt" xmlns:j="clr-namespace:java.lang"
 	xmlns:ppel="clr-namespace:org.eclipse.papyrus.properties.widgets.layout"
-	xmlns="http://www.eclipse.org/xwt/presentation">
+	xmlns:ppe="clr-namespace:org.eclipse.papyrus.properties.widgets">
 	<Composite.layout>
 		<ppel:PropertiesLayout></ppel:PropertiesLayout>
Index: trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleVerificationScenario.xwt
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleVerificationScenario.xwt	(revision 1348)
+++ trunk/modelicaml/org.openmodelica.modelicaml.properties/Model/ui/SingleVerificationScenario.xwt	(revision 1361)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<Composite xmlns:x="http://www.eclipse.org/xwt" xmlns:j="clr-namespace:java.lang"
+<Composite xmlns:ppel="clr-namespace:org.eclipse.papyrus.properties.widgets.layout"
 	xmlns:ppe="clr-namespace:org.eclipse.papyrus.properties.widgets"
-	xmlns:ppel="clr-namespace:org.eclipse.papyrus.properties.widgets.layout"
+	xmlns:x="http://www.eclipse.org/xwt" xmlns:j="clr-namespace:java.lang"
 	xmlns="http://www.eclipse.org/xwt/presentation">
 	<Composite.layout>
@@ -14,21 +14,9 @@
 			property="ModelicaML:ModelicaSimulationConstructs:Simulation:startTime"></ppe:StringEditor>
 		<ppe:StringEditor input="{Binding}"
+			property="ModelicaML:ModelicaSimulationConstructs:Simulation:stopTime"></ppe:StringEditor>
+		<ppe:StringEditor input="{Binding}"
 			property="ModelicaML:ModelicaSimulationConstructs:Simulation:tolerance"></ppe:StringEditor>
-		<ppe:StringEditor input="{Binding}"
-			property="ModelicaML:ModelicaSimulationConstructs:Simulation:stopTime"></ppe:StringEditor>
-	</Composite>
-	<Composite>
-		<Composite.layout>
-			<ppel:PropertiesLayout numColumns="2"></ppel:PropertiesLayout>
-		</Composite.layout>
 		<ppe:IntegerEditor input="{Binding}"
 			property="ModelicaML:ModelicaSimulationConstructs:Simulation:numberOfIntervals"></ppe:IntegerEditor>
 	</Composite>
-	<Composite>
-		<Composite.layout>
-			<ppel:PropertiesLayout numColumns="1"></ppel:PropertiesLayout>
-		</Composite.layout>
-		<ppe:ReferenceDialog input="{Binding}"
-			property="ModelicaML:Verification:VerificationScenario:usedToVerify"></ppe:ReferenceDialog>
-	</Composite>
 </Composite>