Index: trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/hover/ProblemHover.java
===================================================================
--- trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/hover/ProblemHover.java	(revision 1405)
+++ trunk/org.modelica.mdt.ui/src/org/modelica/mdt/ui/hover/ProblemHover.java	(revision 1438)
@@ -11,19 +11,5 @@
 package org.modelica.mdt.ui.hover;
 
-import java.util.ArrayList;
-import java.util.Collections;
-import java.util.HashMap;
-import java.util.Map;
-
-import org.eclipse.swt.SWT;
-import org.eclipse.swt.widgets.Shell;
-
-import org.eclipse.core.resources.IFile;
-import org.eclipse.core.resources.IMarker;
-import org.eclipse.core.resources.IResource;
-
-import org.eclipse.jface.action.Action;
 import org.eclipse.jface.action.ToolBarManager;
-import org.eclipse.jface.dialogs.MessageDialog;
 
 import org.eclipse.jface.text.IInformationControl;
@@ -32,22 +18,6 @@
 import org.eclipse.jface.text.contentassist.ICompletionProposal;
 import org.eclipse.jface.text.source.Annotation;
-import org.eclipse.jface.text.source.IAnnotationModel;
-import org.eclipse.jface.text.source.ISourceViewer;
-
-import org.eclipse.ui.IEditorInput;
-import org.eclipse.ui.PlatformUI;
-import org.eclipse.ui.dialogs.PreferencesUtil;
 
 import org.eclipse.ui.texteditor.MarkerAnnotation;
-import org.eclipse.ui.texteditor.spelling.SpellingAnnotation;
-import org.modelica.mdt.core.IModelicaElement;
-import org.modelica.mdt.core.IModelicaFolder;
-import org.modelica.mdt.core.IModelicaProject;
-import org.modelica.mdt.core.IModelicaSourceFile;
-import org.modelica.mdt.core.compiler.IProblem;
-import org.modelica.mdt.internal.core.ModelicaFolder;
-import org.modelica.mdt.internal.core.ModelicaSourceFile;
-import org.modelica.mdt.ui.editor.EditorUtility;
-import org.modelica.mdt.ui.text.modelica.IProblemLocation;
 
 /**
@@ -65,5 +35,5 @@
 	protected static class ProblemInfo extends AnnotationInfo {
 
-		private static final ICompletionProposal[] NO_PROPOSALS= new ICompletionProposal[0];
+		private static final ICompletionProposal[] NO_PROPOSALS = new ICompletionProposal[0];
 
 		public ProblemInfo(Annotation annotation, Position position, ITextViewer textViewer) {
@@ -75,55 +45,13 @@
 		 */
 		public ICompletionProposal[] getCompletionProposals() {
-
-			if (annotation instanceof MarkerAnnotation)
+			if (annotation instanceof MarkerAnnotation) {
 				return getMarkerAnnotationFixes((MarkerAnnotation) annotation);
+			}
 
 			return NO_PROPOSALS;
 		}
 
-
-		private static boolean hasProblem(IProblem[] problems, IProblemLocation location) {
-//			for (int i= 0; i < problems.length; i++) {
-//				IProblem problem= problems[i];
-//				if (problem.getID() == location.getProblemId() && problem.getSourceStart() == location.getOffset())
-//					return true;
-//			}
-			return false;
-		}
-
 		private ICompletionProposal[] getMarkerAnnotationFixes(MarkerAnnotation markerAnnotation) {
-			if (markerAnnotation.isQuickFixableStateSet() && !markerAnnotation.isQuickFixable())
-				return NO_PROPOSALS;
-
-			IMarker marker= markerAnnotation.getMarker();
-
-			IModelicaSourceFile cu= getCompilationUnit(marker);
-			if (cu == null)
-				return NO_PROPOSALS;
-
-//			IEditorInput input= EditorUtility.getEditorInput(cu);
-//			if (input == null)
-//				return NO_PROPOSALS;
-
-			IAnnotationModel model= ((ISourceViewer)viewer).getAnnotationModel();
-			if (model == null)
-				return NO_PROPOSALS;
-
-			ISourceViewer sourceViewer= null;
-			if (viewer instanceof ISourceViewer)
-				sourceViewer= (ISourceViewer) viewer;
-
-			ArrayList proposals= new ArrayList();
-			return (ICompletionProposal[]) proposals.toArray(new ICompletionProposal[proposals.size()]);
-		}
-
-		private static IModelicaSourceFile getCompilationUnit(IMarker marker) {
-			IResource res= marker.getResource();
-			if (res instanceof IFile && res.isAccessible()) {
-				IModelicaElement element= new ModelicaSourceFile((ModelicaFolder)res.getParent(), (IFile)res);
-				if (element instanceof IModelicaSourceFile)
-					return (IModelicaSourceFile) element;
-			}
-			return null;
+			return NO_PROPOSALS;
 		}
 
@@ -134,5 +62,4 @@
 			super.fillToolBar(manager, infoControl);
 		}
-
 	}
 