Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.arraysubscript.ui/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.arraysubscript.ui/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.arraysubscript.ui/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.arraysubscript.ui
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.arraysubscript.ui; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.arraysubscript.ui/src/org/openmodelica/modelicaml/editor/xtext/array/ui/ArraysubscriptUiModule.java
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.arraysubscript.ui/src/org/openmodelica/modelicaml/editor/xtext/array/ui/ArraysubscriptUiModule.java	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.arraysubscript.ui/src/org/openmodelica/modelicaml/editor/xtext/array/ui/ArraysubscriptUiModule.java	(revision 1449)
@@ -5,4 +5,6 @@
 
 import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.eclipse.xtext.ui.editor.autoedit.AbstractEditStrategyProvider;
+import org.openmodelica.modelicaml.editor.xtext.model.ui.autoedit.ModelicaMLAutoEditStrategyProvider;
 
 /**
@@ -13,3 +15,8 @@
 		super(plugin);
 	}
+	
+	@Override
+	public Class<? extends AbstractEditStrategyProvider> bindAbstractEditStrategyProvider() {
+		return ModelicaMLAutoEditStrategyProvider.class;
+	}
 }
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.conditionalattribute.ui/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.conditionalattribute.ui/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.conditionalattribute.ui/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.conditionalattribute.ui
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.conditionalattribute.ui; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.conditionalattribute.ui/src/org/openmodelica/modelicaml/editor/xtext/condition/ui/ConditionalattributeUiModule.java
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.conditionalattribute.ui/src/org/openmodelica/modelicaml/editor/xtext/condition/ui/ConditionalattributeUiModule.java	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.conditionalattribute.ui/src/org/openmodelica/modelicaml/editor/xtext/condition/ui/ConditionalattributeUiModule.java	(revision 1449)
@@ -5,4 +5,6 @@
 
 import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.eclipse.xtext.ui.editor.autoedit.AbstractEditStrategyProvider;
+import org.openmodelica.modelicaml.editor.xtext.model.ui.autoedit.ModelicaMLAutoEditStrategyProvider;
 
 /**
@@ -13,3 +15,8 @@
 		super(plugin);
 	}
+	
+	@Override
+	public Class<? extends AbstractEditStrategyProvider> bindAbstractEditStrategyProvider() {
+		return ModelicaMLAutoEditStrategyProvider.class;
+	}
 }
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.conditionalattribute/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.conditionalattribute/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.conditionalattribute/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.conditionalattribute
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.conditionalattribute; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.declaration.ui/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.declaration.ui/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.declaration.ui/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.declaration.ui
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.declaration.ui; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.declaration.ui/src/org/openmodelica/modelicaml/editor/xtext/declaration/ui/DeclarationUiModule.java
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.declaration.ui/src/org/openmodelica/modelicaml/editor/xtext/declaration/ui/DeclarationUiModule.java	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.declaration.ui/src/org/openmodelica/modelicaml/editor/xtext/declaration/ui/DeclarationUiModule.java	(revision 1449)
@@ -5,4 +5,6 @@
 
 import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.eclipse.xtext.ui.editor.autoedit.AbstractEditStrategyProvider;
+import org.openmodelica.modelicaml.editor.xtext.model.ui.autoedit.ModelicaMLAutoEditStrategyProvider;
 
 /**
@@ -13,3 +15,8 @@
 		super(plugin);
 	}
+	
+	@Override
+	public Class<? extends AbstractEditStrategyProvider> bindAbstractEditStrategyProvider() {
+		return ModelicaMLAutoEditStrategyProvider.class;
+	}
 }
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.declaration/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.declaration/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.declaration/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.declaration
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.declaration; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.equationsection.ui/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.equationsection.ui/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.equationsection.ui/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.equationsection.ui
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.equationsection.ui; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.equationsection.ui/src/org/openmodelica/modelicaml/editor/xtext/equation/ui/EquationsectionUiModule.java
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.equationsection.ui/src/org/openmodelica/modelicaml/editor/xtext/equation/ui/EquationsectionUiModule.java	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.equationsection.ui/src/org/openmodelica/modelicaml/editor/xtext/equation/ui/EquationsectionUiModule.java	(revision 1449)
@@ -5,4 +5,6 @@
 
 import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.eclipse.xtext.ui.editor.autoedit.AbstractEditStrategyProvider;
+import org.openmodelica.modelicaml.editor.xtext.model.ui.autoedit.ModelicaMLAutoEditStrategyProvider;
 
 /**
@@ -13,3 +15,8 @@
 		super(plugin);
 	}
+	
+	@Override
+	public Class<? extends AbstractEditStrategyProvider> bindAbstractEditStrategyProvider() {
+		return ModelicaMLAutoEditStrategyProvider.class;
+	}
 }
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.equationsection/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.equationsection/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.equationsection/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.equationsection
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.equationsection; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modeleditor.ui/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modeleditor.ui/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modeleditor.ui/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.modeleditor.ui
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.modeleditor.ui; singleton:=true
 Bundle-ActivationPolicy: lazy
@@ -21,5 +21,6 @@
  org.apache.commons.logging
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.openmodelica.modelicaml.editor.xtext.model.ui.contentassist,
+Export-Package: org.openmodelica.modelicaml.editor.xtext.model.ui.autoedit,
+ org.openmodelica.modelicaml.editor.xtext.model.ui.contentassist,
  org.openmodelica.modelicaml.editor.xtext.model.ui.contentassist.antlr,
  org.openmodelica.modelicaml.editor.xtext.model.ui.internal
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modeleditor.ui/src/org/openmodelica/modelicaml/editor/xtext/model/ui/ModeleditorUiModule.java
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modeleditor.ui/src/org/openmodelica/modelicaml/editor/xtext/model/ui/ModeleditorUiModule.java	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modeleditor.ui/src/org/openmodelica/modelicaml/editor/xtext/model/ui/ModeleditorUiModule.java	(revision 1449)
@@ -5,4 +5,6 @@
 
 import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.eclipse.xtext.ui.editor.autoedit.AbstractEditStrategyProvider;
+import org.openmodelica.modelicaml.editor.xtext.model.ui.autoedit.ModelicaMLAutoEditStrategyProvider;
 
 /**
@@ -13,3 +15,9 @@
 		super(plugin);
 	}
+	
+	
+	@Override
+	public Class<? extends AbstractEditStrategyProvider> bindAbstractEditStrategyProvider() {
+		return ModelicaMLAutoEditStrategyProvider.class;
+	}
 }
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modeleditor.ui/src/org/openmodelica/modelicaml/editor/xtext/model/ui/autoedit/ModelicaMLAutoEditStrategyProvider.java
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modeleditor.ui/src/org/openmodelica/modelicaml/editor/xtext/model/ui/autoedit/ModelicaMLAutoEditStrategyProvider.java	(revision 1449)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modeleditor.ui/src/org/openmodelica/modelicaml/editor/xtext/model/ui/autoedit/ModelicaMLAutoEditStrategyProvider.java	(revision 1449)
@@ -0,0 +1,25 @@
+package org.openmodelica.modelicaml.editor.xtext.model.ui.autoedit;
+
+import org.eclipse.xtext.ui.editor.autoedit.DefaultAutoEditStrategyProvider;
+
+public class ModelicaMLAutoEditStrategyProvider extends
+		DefaultAutoEditStrategyProvider {
+
+	@Override
+	protected void configure(IEditStrategyAcceptor acceptor) {
+		configureIndentationEditStrategy(acceptor);
+		configureStringLiteral(acceptor);
+		
+		/*
+		 * The auto-editing (e.g. automatic closing) of parenthesis, brackets and braces is 
+		 * disabled because there are issues with editors in composites.
+		 */
+		
+		//configureParenthesis(acceptor);
+		//configureSquareBrackets(acceptor);
+		//configureCurlyBracesBlock(acceptor);
+		configureMultilineComments(acceptor);
+		//configureCompoundBracesBlocks(acceptor);
+	}
+	
+}
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modeleditor/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modeleditor/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modeleditor/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.modeleditor
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.modeleditor; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modification.ui/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modification.ui/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modification.ui/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.modification.ui
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.modification.ui; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modification.ui/src/org/openmodelica/modelicaml/editor/xtext/modification/ui/ModificationUiModule.java
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modification.ui/src/org/openmodelica/modelicaml/editor/xtext/modification/ui/ModificationUiModule.java	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modification.ui/src/org/openmodelica/modelicaml/editor/xtext/modification/ui/ModificationUiModule.java	(revision 1449)
@@ -5,4 +5,6 @@
 
 import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.eclipse.xtext.ui.editor.autoedit.AbstractEditStrategyProvider;
+import org.openmodelica.modelicaml.editor.xtext.model.ui.autoedit.ModelicaMLAutoEditStrategyProvider;
 
 /**
@@ -13,3 +15,8 @@
 		super(plugin);
 	}
+	
+	@Override
+	public Class<? extends AbstractEditStrategyProvider> bindAbstractEditStrategyProvider() {
+		return ModelicaMLAutoEditStrategyProvider.class;
+	}
 }
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modification/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modification/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.modification/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.modification
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.modification; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.statetransitionguardexpression.ui/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.statetransitionguardexpression.ui/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.statetransitionguardexpression.ui/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.statetransitionguardexpression.ui
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.statetransitionguardexpression.ui; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.statetransitionguardexpression.ui/src/org/openmodelica/modelicaml/editor/xtext/state/ui/StatetransitionguardexpressionUiModule.java
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.statetransitionguardexpression.ui/src/org/openmodelica/modelicaml/editor/xtext/state/ui/StatetransitionguardexpressionUiModule.java	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.statetransitionguardexpression.ui/src/org/openmodelica/modelicaml/editor/xtext/state/ui/StatetransitionguardexpressionUiModule.java	(revision 1449)
@@ -5,4 +5,6 @@
 
 import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.eclipse.xtext.ui.editor.autoedit.AbstractEditStrategyProvider;
+import org.openmodelica.modelicaml.editor.xtext.model.ui.autoedit.ModelicaMLAutoEditStrategyProvider;
 
 /**
@@ -13,3 +15,8 @@
 		super(plugin);
 	}
+	
+	@Override
+	public Class<? extends AbstractEditStrategyProvider> bindAbstractEditStrategyProvider() {
+		return ModelicaMLAutoEditStrategyProvider.class;
+	}
 }
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.statetransitionguardexpression/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.statetransitionguardexpression/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.statetransitionguardexpression/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.statetransitionguardexpression
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.statetransitionguardexpression; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.client.ui/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.client.ui/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.client.ui/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.valuebinding.client.ui
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.valuebinding.client.ui; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.client.ui/src/org/openmodelica/modelicaml/editor/xtext/valuebinding/ui/ClientUiModule.java
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.client.ui/src/org/openmodelica/modelicaml/editor/xtext/valuebinding/ui/ClientUiModule.java	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.client.ui/src/org/openmodelica/modelicaml/editor/xtext/valuebinding/ui/ClientUiModule.java	(revision 1449)
@@ -5,4 +5,6 @@
 
 import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.eclipse.xtext.ui.editor.autoedit.AbstractEditStrategyProvider;
+import org.openmodelica.modelicaml.editor.xtext.model.ui.autoedit.ModelicaMLAutoEditStrategyProvider;
 
 /**
@@ -13,3 +15,8 @@
 		super(plugin);
 	}
+	
+	@Override
+	public Class<? extends AbstractEditStrategyProvider> bindAbstractEditStrategyProvider() {
+		return ModelicaMLAutoEditStrategyProvider.class;
+	}
 }
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.client/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.client/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.client/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.valuebinding.client
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.valuebinding.client; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.mediator.ui/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.mediator.ui/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.mediator.ui/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.valuebinding.mediator.ui
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.valuebinding.mediator.ui; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.mediator.ui/src/org/openmodelica/modelicaml/editor/xtext/valuebinding/ui/MediatorUiModule.java
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.mediator.ui/src/org/openmodelica/modelicaml/editor/xtext/valuebinding/ui/MediatorUiModule.java	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.mediator.ui/src/org/openmodelica/modelicaml/editor/xtext/valuebinding/ui/MediatorUiModule.java	(revision 1449)
@@ -5,4 +5,6 @@
 
 import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.eclipse.xtext.ui.editor.autoedit.AbstractEditStrategyProvider;
+import org.openmodelica.modelicaml.editor.xtext.model.ui.autoedit.ModelicaMLAutoEditStrategyProvider;
 
 /**
@@ -13,3 +15,8 @@
 		super(plugin);
 	}
+	
+	@Override
+	public Class<? extends AbstractEditStrategyProvider> bindAbstractEditStrategyProvider() {
+		return ModelicaMLAutoEditStrategyProvider.class;
+	}
 }
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.mediator/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.mediator/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.mediator/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.valuebinding.mediator
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.valuebinding.mediator; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.provider.ui/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.provider.ui/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.provider.ui/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.valuebinding.provider.ui
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.valuebinding.provider.ui; singleton:=true
 Bundle-ActivationPolicy: lazy
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.provider.ui/src/org/openmodelica/modelicaml/editor/xtext/valuebinding/ui/ProviderUiModule.java
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.provider.ui/src/org/openmodelica/modelicaml/editor/xtext/valuebinding/ui/ProviderUiModule.java	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.provider.ui/src/org/openmodelica/modelicaml/editor/xtext/valuebinding/ui/ProviderUiModule.java	(revision 1449)
@@ -5,4 +5,6 @@
 
 import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.eclipse.xtext.ui.editor.autoedit.AbstractEditStrategyProvider;
+import org.openmodelica.modelicaml.editor.xtext.model.ui.autoedit.ModelicaMLAutoEditStrategyProvider;
 
 /**
@@ -13,3 +15,8 @@
 		super(plugin);
 	}
+	
+	@Override
+	public Class<? extends AbstractEditStrategyProvider> bindAbstractEditStrategyProvider() {
+		return ModelicaMLAutoEditStrategyProvider.class;
+	}
 }
Index: trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.provider/META-INF/MANIFEST.MF
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.provider/META-INF/MANIFEST.MF	(revision 1448)
+++ trunk/modelicaml/org.openmodelica.modelicaml.editor.xtext.valuebinding.provider/META-INF/MANIFEST.MF	(revision 1449)
@@ -3,5 +3,5 @@
 Bundle-Name: org.openmodelica.modelicaml.editor.xtext.valuebinding.provider
 Bundle-Vendor: OpenModelica Project
-Bundle-Version: 1.0.0
+Bundle-Version: 1.0.0.qualifier
 Bundle-SymbolicName: org.openmodelica.modelicaml.editor.xtext.valuebinding.provider; singleton:=true
 Bundle-ActivationPolicy: lazy