Index: trunk/modelicaml/org.openmodelica.modelicaml.modelica.importer/src/org/openmodelica/modelicaml/modelica/importer/helper/ModelicaMLElementsCreator.java
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.modelica.importer/src/org/openmodelica/modelicaml/modelica/importer/helper/ModelicaMLElementsCreator.java	(revision 1532)
+++ trunk/modelicaml/org.openmodelica.modelicaml.modelica.importer/src/org/openmodelica/modelicaml/modelica/importer/helper/ModelicaMLElementsCreator.java	(revision 1541)
@@ -992,5 +992,5 @@
 					 */
 					if (element instanceof FunctionBehavior ) {
-						OpaqueBehaviorUtil.setBody((FunctionBehavior) element, string, Constants.actionLanguage);
+						OpaqueBehaviorUtil.setBody((FunctionBehavior) element, string, Constants.actionLanguageName);
 					}
 					else {
@@ -1002,5 +1002,5 @@
 						}
 						
-						OpaqueBehaviorUtil.setBody(behavior, string, Constants.actionLanguage);
+						OpaqueBehaviorUtil.setBody(behavior, string, Constants.actionLanguageName);
 					}
 				}
@@ -1019,5 +1019,5 @@
 					 */
 					if (element instanceof FunctionBehavior ) {
-						OpaqueBehaviorUtil.setBody((FunctionBehavior) element, string, Constants.actionLanguage);
+						OpaqueBehaviorUtil.setBody((FunctionBehavior) element, string, Constants.actionLanguageName);
 					}
 					else {
@@ -1028,5 +1028,5 @@
 							behavior.setValue(stereotype, Constants.propertyName_initial, true);
 						}
-						OpaqueBehaviorUtil.setBody(behavior, string, Constants.actionLanguage);
+						OpaqueBehaviorUtil.setBody(behavior, string, Constants.actionLanguageName);
 					}
 				}
@@ -1045,5 +1045,5 @@
 					 */
 					if (element instanceof FunctionBehavior ) {
-						OpaqueBehaviorUtil.setBody((FunctionBehavior) element, string, Constants.actionLanguage);
+						OpaqueBehaviorUtil.setBody((FunctionBehavior) element, string, Constants.actionLanguageName);
 					}
 					else {
@@ -1053,5 +1053,5 @@
 							behavior.applyStereotype(stereotype);
 						}
-						OpaqueBehaviorUtil.setBody(behavior, string, Constants.actionLanguage);
+						OpaqueBehaviorUtil.setBody(behavior, string, Constants.actionLanguageName);
 					}
 				}
@@ -1081,5 +1081,5 @@
 					 */
 					if (element instanceof FunctionBehavior ) {
-						OpaqueBehaviorUtil.setBody((FunctionBehavior) element, string, Constants.actionLanguage);
+						OpaqueBehaviorUtil.setBody((FunctionBehavior) element, string, Constants.actionLanguageName);
 					}
 					else {
@@ -1094,5 +1094,5 @@
 						}
 						
-						OpaqueBehaviorUtil.setBody(behavior, string, Constants.actionLanguage);
+						OpaqueBehaviorUtil.setBody(behavior, string, Constants.actionLanguageName);
 					}
 				}
Index: trunk/modelicaml/org.openmodelica.modelicaml.modelica.importer/src/org/openmodelica/modelicaml/modelica/importer/model/TreeBuilder.java
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.modelica.importer/src/org/openmodelica/modelicaml/modelica/importer/model/TreeBuilder.java	(revision 1532)
+++ trunk/modelicaml/org.openmodelica.modelicaml.modelica.importer/src/org/openmodelica/modelicaml/modelica/importer/model/TreeBuilder.java	(revision 1541)
@@ -35,4 +35,5 @@
 package org.openmodelica.modelicaml.modelica.importer.model;
 
+import java.io.File;
 import java.lang.reflect.InvocationTargetException;
 import java.util.ArrayList;
@@ -62,4 +63,5 @@
 import org.eclipse.papyrus.resource.NotFoundException;
 import org.eclipse.papyrus.resource.uml.UmlModel;
+import org.eclipse.papyrus.resource.uml.UmlUtils;
 import org.eclipse.uml2.uml.Class;
 import org.eclipse.uml2.uml.Classifier;
@@ -937,5 +939,5 @@
 
 		//TODO: ask user if Modelica, with specific version, should be loaded ...
-		if (isLoadMSL()) {
+		if (isLoadMSL() && codeSyncFolderExists()) {
 			// Load MSL
 			omcc.loadModel(getMSLModelName());
@@ -1514,4 +1516,24 @@
 		this.loadMSL = loadMSL;
 	}
+	
+	private boolean codeSyncFolderExists(){
+		UmlModel umlModel = UmlUtils.getUmlModel();
+		if (umlModel != null && umlModel.getResource() != null) {
+			String projectName = umlModel.getResource().getURI().segment(1);
+			if (projectName != null) {
+				IWorkspace workspace = ResourcesPlugin.getWorkspace();
+				IWorkspaceRoot root = workspace.getRoot();
+				IProject iProject = root.getProject(projectName);
+				String projectAbsolutePath = iProject.getLocationURI().toString().replaceFirst("file:\\/", "");
+				String codeIncAbsolutePath = projectAbsolutePath+"/"+Constants.folderName_code_sync + "/";
+
+				File codeSyncFolder = new File(codeIncAbsolutePath);
+				boolean exists = codeSyncFolder.exists();
+				
+				return exists;
+			}
+		}
+		return false;
+	}
 }
 