Index: trunk/modelicaml/org.openmodelica.modelicaml.helper/plugin.xml
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.helper/plugin.xml	(revision 1596)
+++ trunk/modelicaml/org.openmodelica.modelicaml.helper/plugin.xml	(revision 1607)
@@ -2,5 +2,5 @@
 <?eclipse version="3.4"?>
 <plugin>
-    <extension
+    <!--<extension
          point="org.eclipse.ui.views">
       <view
@@ -12,5 +12,5 @@
       </view>
    </extension>
-   
+   -->
    <extension
          point="org.eclipse.ui.commands">
@@ -199,10 +199,10 @@
          point="org.eclipse.ui.menus">
       <menuContribution
-            allPopups="false"
             locationURI="toolbar:org.eclipse.ui.main.toolbar">
          <toolbar
                id="org.openmodelica.modelicaml.toolbar.helper"
                label="ModelicaML Verification">
-            <visibleWhen
+            
+            <!--<visibleWhen
                   checkEnabled="false">
                <with
@@ -213,4 +213,6 @@
                </with>
             </visibleWhen>
+            -->
+            
             <separator
                   name="org.openmodelica.modelicaml.helper.separator1"
@@ -227,23 +229,34 @@
                         variable="activeEditorId">
                      <equals
-                           value="org.eclipse.papyrus.core.papyrusEditor">
-                     </equals>
-                  </with>
-               </visibleWhen>
+                           value="org.eclipse.papyrus.infra.core.papyrusEditor">
+                     </equals>
+                  </with>
+               </visibleWhen>
+               
+               <!--<visibleWhen>
+					<reference definitionId="org.eclipse.papyrus.uml.diagram.common.IsPapyrusActiveWithUMLModel"/>
+				</visibleWhen>
+				-->
             </command>
             <command
                   commandId="org.openmodelica.modelicaml.helper.commands.toolbar.discoverScenToReqRelations"
-                  icon="icons/correlationset.gif"
+                  icon="icons/discoverRelations2.gif"
                   label="Discover Relations Between Scenarios and Requirements"
                   style="push"
                   tooltip="Discover Relations Between Scenarios and Requirements">
-               <visibleWhen>
-                  <with
-                        variable="activeEditorId">
-                     <equals
-                           value="org.eclipse.papyrus.core.papyrusEditor">
-                     </equals>
-                  </with>
-               </visibleWhen>
+              
+               <visibleWhen>
+                  <with
+                        variable="activeEditorId">
+                     <equals
+                           value="org.eclipse.papyrus.infra.core.papyrusEditor">
+                     </equals>
+                  </with>
+               </visibleWhen>
+               
+                <!--<visibleWhen>
+					<reference definitionId="org.eclipse.papyrus.uml.diagram.common.IsPapyrusActiveWithUMLModel"/>
+				</visibleWhen> 
+				-->
             </command>
             <separator
@@ -261,8 +274,13 @@
                         variable="activeEditorId">
                      <equals
-                           value="org.eclipse.papyrus.core.papyrusEditor">
-                     </equals>
-                  </with>
-               </visibleWhen>
+                           value="org.eclipse.papyrus.infra.core.papyrusEditor">
+                     </equals>
+                  </with>
+               </visibleWhen>
+               
+                <!--<visibleWhen>
+					<reference definitionId="org.eclipse.papyrus.uml.diagram.common.IsPapyrusActiveWithUMLModel"/>
+				</visibleWhen>
+				-->
             </command>
             <separator
@@ -280,8 +298,13 @@
                         variable="activeEditorId">
                      <equals
-                           value="org.eclipse.papyrus.core.papyrusEditor">
-                     </equals>
-                  </with>
-               </visibleWhen>
+                           value="org.eclipse.papyrus.infra.core.papyrusEditor">
+                     </equals>
+                  </with>
+               </visibleWhen>
+               
+               <!--<visibleWhen>
+					<reference definitionId="org.eclipse.papyrus.uml.diagram.common.IsPapyrusActiveWithUMLModel"/>
+				</visibleWhen>
+				-->
             </command>
             <!--
@@ -296,5 +319,5 @@
                         variable="activeEditorId">
                      <equals
-                           value="org.eclipse.papyrus.core.papyrusEditor">
+                           value="org.eclipse.papyrus.infra.core.papyrusEditor">
                      </equals>
                   </with>